import { LitElement } from 'lit';
import '@umbraco-ui/uui-checkbox/lib';
import '@umbraco-ui/uui-slider/lib';
import '@umbraco-ui/uui-radio/lib';
import '@umbraco-ui/uui-toggle/lib';
export declare class UUIInputInFormExampleElement extends LitElement {
    static styles: import("lit").CSSResult;
    _form: HTMLFormElement | undefined;
    private _customValidationInputIsInvalid;
    showExtraFields: boolean;
    constructor();
    connectedCallback(): void;
    _onSubmit(event: Event): void;
    _onRadioGroupChange(event: InputEvent): void;
    _onCustomValidationInput(event: InputEvent): void;
    _myCustomValidation(value: FormDataEntryValue): boolean;
    renderFormControls(): import("lit-html").TemplateResult<1>;
    render(): import("lit-html").TemplateResult<1>;
}
